

<!DOCTYPE html>

<html lang="ja">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.3.16. config_get &#8212; Groonga v10.1.1-31-g1e46ba6ドキュメント</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    <script src="../../_static/translations.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="索引" href="../../genindex.html" />
    <link rel="search" title="検索" href="../../search.html" />
    <link rel="next" title="7.3.17. config_set" href="config_set.html" />
    <link rel="prev" title="7.3.15. config_delete" href="config_delete.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">オープンソースのカラムストア機能付き全文検索エンジン</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../en/html/reference/commands/config_get.html">English</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             accesskey="I">索引</a></li>
        <li class="right" >
          <a href="config_set.html" title="7.3.17. config_set"
             accesskey="N">次へ</a> |</li>
        <li class="right" >
          <a href="config_delete.html" title="7.3.15. config_delete"
             accesskey="P">前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" accesskey="U"><span class="section-number">7.3. </span>コマンド</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.16. </span><code class="docutils literal notranslate"><span class="pre">config_get</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="config-get">
<h1><span class="section-number">7.3.16. </span><code class="docutils literal notranslate"><span class="pre">config_get</span></code><a class="headerlink" href="#config-get" title="このヘッドラインへのパーマリンク">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.3.16.1. </span>概要<a class="headerlink" href="#summary" title="このヘッドラインへのパーマリンク">¶</a></h2>
<div class="versionadded">
<p><span class="versionmodified added">バージョン 5.1.2 で追加.</span></p>
</div>
<p><code class="docutils literal notranslate"><span class="pre">config_get</span></code> コマンドは指定した設定項目の値を返します。</p>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.3.16.2. </span>構文<a class="headerlink" href="#syntax" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このコマンドの引数は1つで必須です:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>config_get key
</pre></div>
</div>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.3.16.3. </span>使い方<a class="headerlink" href="#usage" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>以下は <code class="docutils literal notranslate"><span class="pre">alias.column</span></code> 設定項目に値を設定して、設定した値を取得する例です。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>config_set alias.column Aliases.real_name
# [[0, 1337566253.89858, 0.000355720520019531], true]
config_get alias.column
# [[0, 1337566253.89858, 0.000355720520019531], &quot;Aliases.real_name&quot;]
</pre></div>
</div>
<p>以下は存在しない設定項目の値を取得する例です。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>config_get nonexistent
# [[0, 1337566253.89858, 0.000355720520019531], &quot;&quot;]
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">config_get</span></code> は存在しない設定項目の場合は空文字列を返します。</p>
</div>
<div class="section" id="parameters">
<h2><span class="section-number">7.3.16.4. </span>引数<a class="headerlink" href="#parameters" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このセクションではすべての引数について説明します。</p>
<div class="section" id="required-parameters">
<h3><span class="section-number">7.3.16.4.1. </span>必須引数<a class="headerlink" href="#required-parameters" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p>必須の引数は1つです。</p>
<div class="section" id="key">
<span id="config-get-key"></span><h4><span class="section-number">7.3.16.4.1.1. </span><code class="docutils literal notranslate"><span class="pre">key</span></code><a class="headerlink" href="#key" title="このヘッドラインへのパーマリンク">¶</a></h4>
<p>対象設定項目のキーを指定します。</p>
<p>最大キーサイズは4KiBです。</p>
<p>キーには空文字列を使うことはできません。</p>
</div>
</div>
<div class="section" id="optional-parameters">
<h3><span class="section-number">7.3.16.4.2. </span>省略可能引数<a class="headerlink" href="#optional-parameters" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p>省略可能な引数はありません。</p>
</div>
</div>
<div class="section" id="return-value">
<h2><span class="section-number">7.3.16.5. </span>戻り値<a class="headerlink" href="#return-value" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">config_get</span></code> コマンドは指定した設定項目の値を返します。:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>[HEADER, VALUE]
</pre></div>
</div>
<div class="section" id="header">
<h3><span class="section-number">7.3.16.5.1. </span><code class="docutils literal notranslate"><span class="pre">HEADER</span></code><a class="headerlink" href="#header" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p><code class="docutils literal notranslate"><span class="pre">HEADER</span></code> については <a class="reference internal" href="../command/output_format.html"><span class="doc">出力形式</span></a> を参照してください。</p>
</div>
<div class="section" id="value">
<h3><span class="section-number">7.3.16.5.2. </span><code class="docutils literal notranslate"><span class="pre">VALUE</span></code><a class="headerlink" href="#value" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p><code class="docutils literal notranslate"><span class="pre">VALUE</span></code> は <code class="docutils literal notranslate"><span class="pre">key</span></code> で指定した設定項目の値です。文字列です。</p>
</div>
</div>
<div class="section" id="see-also">
<h2><span class="section-number">7.3.16.6. </span>参考<a class="headerlink" href="#see-also" title="このヘッドラインへのパーマリンク">¶</a></h2>
<blockquote>
<div><ul class="simple">
<li><p><a class="reference internal" href="../configuration.html"><span class="doc">設定</span></a></p></li>
<li><p><a class="reference internal" href="config_set.html"><span class="doc">config_set</span></a></p></li>
<li><p><a class="reference internal" href="config_delete.html"><span class="doc">config_delete</span></a></p></li>
</ul>
</div></blockquote>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">目次</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.3.16. <code class="docutils literal notranslate"><span class="pre">config_get</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.3.16.1. 概要</a></li>
<li><a class="reference internal" href="#syntax">7.3.16.2. 構文</a></li>
<li><a class="reference internal" href="#usage">7.3.16.3. 使い方</a></li>
<li><a class="reference internal" href="#parameters">7.3.16.4. 引数</a><ul>
<li><a class="reference internal" href="#required-parameters">7.3.16.4.1. 必須引数</a><ul>
<li><a class="reference internal" href="#key">7.3.16.4.1.1. <code class="docutils literal notranslate"><span class="pre">key</span></code></a></li>
</ul>
</li>
<li><a class="reference internal" href="#optional-parameters">7.3.16.4.2. 省略可能引数</a></li>
</ul>
</li>
<li><a class="reference internal" href="#return-value">7.3.16.5. 戻り値</a><ul>
<li><a class="reference internal" href="#header">7.3.16.5.1. <code class="docutils literal notranslate"><span class="pre">HEADER</span></code></a></li>
<li><a class="reference internal" href="#value">7.3.16.5.2. <code class="docutils literal notranslate"><span class="pre">VALUE</span></code></a></li>
</ul>
</li>
<li><a class="reference internal" href="#see-also">7.3.16.6. 参考</a></li>
</ul>
</li>
</ul>

  <h4>前のトピックへ</h4>
  <p class="topless"><a href="config_delete.html"
                        title="前の章へ"><span class="section-number">7.3.15. </span><code class="docutils literal notranslate"><span class="pre">config_delete</span></code></a></p>
  <h4>次のトピックへ</h4>
  <p class="topless"><a href="config_set.html"
                        title="次の章へ"><span class="section-number">7.3.17. </span><code class="docutils literal notranslate"><span class="pre">config_set</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">クイック検索</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="検索" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             >索引</a></li>
        <li class="right" >
          <a href="config_set.html" title="7.3.17. config_set"
             >次へ</a> |</li>
        <li class="right" >
          <a href="config_delete.html" title="7.3.15. config_delete"
             >前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" ><span class="section-number">7.3. </span>コマンド</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.16. </span><code class="docutils literal notranslate"><span class="pre">config_get</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>